Can't install Haguichi 1.3.5

Bug #1620775 reported by Alexander Popov on 2016-09-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Haguichi
Undecided
Unassigned

Bug Description

Hello!
I can't install Haguichi on Arch Linux x64 from source tarball or from [package](https://aur.archlinux.org/packages/haguichi/)

```
~/haguichi-1.3.5/build $ cmake .. -DCMAKE_INSTALL_PREFIX=/usr

-- Checking for modules 'atk;cairo;gdk-3.0;gdk-pixbuf-2.0;gio-2.0;glib-2.0;gobject-2.0;gtk+-3.0;libnotify;pango;x11'
-- Package 'wayland-protocols', required by 'gdk-3.0', not found
-- Package 'wayland-protocols', required by 'gdk-3.0', not found
CMake Error at /usr/local/Cellar/cmake/3.6.1/share/cmake/Modules/FindPkgConfig.cmake:424 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/local/Cellar/cmake/3.6.1/share/cmake/Modules/FindPkgConfig.cmake:597 (_pkg_check_modules_internal)
  CMakeLists.txt:43 (pkg_check_modules)
```

```
~ $ pacman -Qs wayland

local/lib32-wayland 1.11.0-1
    A computer display server protocol
local/wayland 1.11.0-1
    A computer display server protocol
local/wayland-protocols 1.7-1
    Specifications of extended Wayland protocols
local/xorg-server-xwayland 1.18.4-1 (xorg)
    run X clients under wayland
```

Thanks!

Stephen Brandt (ztefn) wrote :

Hi Alex,

And the bug in Haguichi is what exactly...?

I'm no Arch expert, but seems more like a wacky problem with your system itself. Just build and installed Haguichi on Manjaro without any troubles.

Changed in haguichi:
status: New → Incomplete
Alexander Popov (alexwayfer) wrote :

I'm sorry, but it looks like I have not installed the dependencies ('wayland-protocols'?), even though all installed.

The system is clean, it's only about a week.

DE is Gnome 3. `cmake` version is 3.6.1

I tried to reinstall `cmake` and `wayland-protocols` (`pacman -Rddn …`), but it didn't help :(

I don't even understand what it lacks.

Alexander Popov (alexwayfer) wrote :

OK, it was my fault due to long-standing attempts to use `linuxbrew`, sorry.

Stephen Brandt (ztefn) wrote :

Thanks for the follow-up. Better stick to pacman, I guess...

Changed in haguichi:
status: Incomplete → Invalid
Alexander Popov (alexwayfer) wrote :

Of course, I just wanted to test the installation of the software (developed by me) using `brew` for Mac OS users, with less pain (without VM), and eventually gained a far greater problems…

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers